
function getStackeditLink(gitLabLink) {
    return '/editor/edit' +gitLabLink.substring(7,gitLabLink.length);
}


function getNewArticleLink(gitLabLink) {
    return '/editor/new' +gitLabLink.substring(7,gitLabLink.length);
}

require(["gitbook", "jQuery"], function (gitbook, $) {
    gitbook.events.bind('start', function (e, config) {
        var conf = config['double-edit-link'];
        var label = conf.label;
        var base = conf.base;
        var lang = gitbook.state.innerLanguage;
        if (lang) {
            // label can be a unique string for multi-languages site
            if (typeof label === 'object') label = label[lang];

            lang = lang + '/';
        }

        // Add slash at the end if not present
        if (base.slice(-1) != "/") {
            base = base + "/";
        }

        gitbook.toolbar.createButton({
            icon: 'fa fa-edit',
            text: label,
            onClick: function() {
                var filepath = gitbook.state.filepath;

                window.open(base + lang + filepath);
            }
        });
        gitbook.toolbar.createButton({
            icon: 'fa fa-edit',
            text: 'edkit in stackedit',
            onClick: function () {
                var filepath = gitbook.state.filepath;

                window.open(getStackeditLink(base) + lang + filepath);
            }
        });

        gitbook.toolbar.createButton({
            icon: 'fa fa-edit',
            text: 'add new article',
            onClick: function () {
                var filepath = gitbook.state.filepath;

                window.open(getNewArticleLink(base) + lang + filepath);
            }
        });

    });

});
